%define upstream_name    DBIx-Class-DateTime-Epoch
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Automatic inflation/deflation of epoch-based columns to/from DateTime objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBICx::TestDatabase)
BuildRequires: perl(DBIx::Class) >= 0.81.30
BuildRequires: perl(DBIx::Class::TimeStamp) >= 0.70.0
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::SQLite)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module automatically inflates/deflates DateTime objects from/to epoch
values for the specified columns. This module is essentially an extension
to the DBIx::Class::InflateColumn::DateTime manpage so all of the settings,
including 'locale' and 'timezone', are also valid.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.100.0-14.mga10
+ Revision: 2203542
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.100.0-13.mga9
+ Revision: 1808678
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.100.0-12.mga8
+ Revision: 1503668
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.100.0-11.mga7
+ Revision: 1282599
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.100.0-10.mga7
+ Revision: 1163927
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.100.0-9.mga7
+ Revision: 1159023
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-8.mga6
+ Revision: 1025456
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.100.0-7.mga6
+ Revision: 935445
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-6.mga5
+ Revision: 747557
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.100.0-5.mga5
+ Revision: 735548
- add exclude
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 510465
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 365105
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.100.0-1.mga3
+ Revision: 314905
- update to 0.10

* Thu Feb 23 2012 jquelin <jquelin> 0.90.0-1.mga2
+ Revision: 212738
- update to 0.09

* Thu Dec 08 2011 kharec <kharec> 0.80.0-1.mga2
+ Revision: 179325
- Add a BR on DateTime::Format::SQLite
- update to 0.08

* Mon Jan 31 2011 dmorgan <dmorgan> 0.70.0-1.mga1
+ Revision: 45279
- Fix buildrequire
- New version

* Wed Jan 26 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 41055
- mageia rebuild
- imported package perl-DBIx-Class-DateTime-Epoch

